# eric7.JediInterface.AssistantJedi

Module implementing the Jedi assistant plug-in.

### Global Attributes

None

### Classes

AssistantJedi | Class implementing the Jedi assistant interface.

### Functions

None

## AssistantJedi

Class implementing the Jedi assistant interface.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

AssistantJedi | Constructor
__connectEditor | Private method to connect an editor.
__connectMouseClickHandler | Private method to connect the mouse click handler to an editor.
__determineLanguage | Private method to determine the valid language strings.
__disconnectEditor | Private method to disconnect an editor.
__disconnectMouseClickHandler | Private method to disconnect the mouse click handler from an editor.
__editorClosed | Private slot called, when an editor was closed.
__editorLanguageChanged | Private slot to handle the language change of an editor.
__editorOpened | Private slot called, when a new editor was opened.
__editorShowMenu | Private slot called, when the the editor context menu or a submenu is about to be shown.
__initRefactoringMenu | Private method to initialize the Refactoring menu.
__preferencesChanged | Private slot handling changes of the Disassembly viewer settings.
__setAutoCompletionHook | Private method to set the autocompletion hook.
__setCalltipsHook | Private method to set the calltip hook.
__unsetAutoCompletionHook | Private method to unset the autocompletion hook.
__unsetCalltipsHook | Private method to unset the calltip hook.

### Static Methods

None

#### AssistantJedi (Constructor)

AssistantJedi(ui, viewManager, project)

Constructor

ui (UserInterface)
  reference to the user interface object
viewManager (ViewManager)
  reference to the viewmanager object
project (Project)
  reference to the project object

#### AssistantJedi.__connectEditor

__connectEditor(editor)

Private method to connect an editor.

editor (Editor)
  reference to the editor

#### AssistantJedi.__connectMouseClickHandler

__connectMouseClickHandler(editor)

Private method to connect the mouse click handler to an editor.

editor (Editor)
  reference to the editor

#### AssistantJedi.__determineLanguage

__determineLanguage()

Private method to determine the valid language strings.

Return:
  list of valid language strings

Return Type:
  list of str

#### AssistantJedi.__disconnectEditor

__disconnectEditor(editor)

Private method to disconnect an editor.

editor (Editor)
  reference to the editor

#### AssistantJedi.__disconnectMouseClickHandler

__disconnectMouseClickHandler(editor)

Private method to disconnect the mouse click handler from an editor.

editor (Editor)
  reference to the editor

#### AssistantJedi.__editorClosed

__editorClosed(editor)

Private slot called, when an editor was closed.

editor (Editor)
  reference to the editor

#### AssistantJedi.__editorLanguageChanged

__editorLanguageChanged(language)

Private slot to handle the language change of an editor.

language (str)
  programming language of the editor

#### AssistantJedi.__editorOpened

__editorOpened(editor)

Private slot called, when a new editor was opened.

editor (Editor)
  reference to the new editor

#### AssistantJedi.__editorShowMenu

__editorShowMenu(menuName, menu, editor)

Private slot called, when the the editor context menu or a submenu is about to be shown.

menuName (str)
  name of the menu to be shown
menu (QMenu)
  reference to the menu
editor (Editor)
  reference to the editor

#### AssistantJedi.__initRefactoringMenu

__initRefactoringMenu()

Private method to initialize the Refactoring menu.

#### AssistantJedi.__preferencesChanged

__preferencesChanged()

Private slot handling changes of the Disassembly viewer settings.

#### AssistantJedi.__setAutoCompletionHook

__setAutoCompletionHook(editor)

Private method to set the autocompletion hook.

editor (Editor)
  reference to the editor

#### AssistantJedi.__setCalltipsHook

__setCalltipsHook(editor)

Private method to set the calltip hook.

editor (Editor)
  reference to the editor

#### AssistantJedi.__unsetAutoCompletionHook

__unsetAutoCompletionHook(editor)

Private method to unset the autocompletion hook.

editor (Editor)
  reference to the editor

#### AssistantJedi.__unsetCalltipsHook

__unsetCalltipsHook(editor)

Private method to unset the calltip hook.

editor (Editor)
  reference to the editor

Up